import java.awt.Color;
import java.awt.Dimension;
import java.awt.Toolkit;
import java.util.List;

import es.us.ccia.contexto.Contexto;
import es.us.ccia.dummy.dibujo.GUI;

import es.us.ccia.dummy.teoria.Teoria;
import es.us.ccia.razonador.Razonador;
import es.us.ccia.rcc.RCC;
import es.us.ccia.tiny.conceptos.Reticulo;
import es.us.ccia.tiny.sproduccion.BaseStem;
import es.us.tad.Salida;


@SuppressWarnings("unchecked")
public class TinyPaella {

	
	public static int Razonamiento = RCC.NO_INIC;
	
	private static EntornoGT gUI;
	private static Teoria teoria;

	private static boolean sugerencias = false;
	private         Reticulo Reti;
	private static List      ListaImplica;
	
	
	public TinyPaella() {

		System.out.println(System.getProperty("java.library.path"));
		Salida.inicializar(true);		
		
		teoria   = new Teoria(); 

		
		
		
		
		Contexto.inicializar("pordefecto");
		
		Reti = new Reticulo();
		// Aqui las sugerencias
		//ConjuntoImplicaciones cImp = new ConjuntoImplicaciones();
		ListaImplica = null;
		
		
		
		Razonamiento = RCC.TinyRCC5;
		Razonador.inicializar(Razonamiento,Reti);
		
		
		gUI      = new EntornoGT();
		gUI.init();

	}

	
	public void inicializar() {
		Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
		gUI.setSize(screenSize.width,screenSize.height);
		gUI.setBackground( Color.lightGray );
		gUI.setVisible(true);
		
	}


	public static Teoria getTeoria() {
		return teoria;
	}

	
	public static boolean getSugerencias() {
		return sugerencias;
	}
	
	public static void setSugerencias(boolean valor) {
		sugerencias = valor;
	}
	
	public static void changeSugerencias() {
		sugerencias = !sugerencias;
	}
	
	
	public static GUI getGUI() {
		if (gUI==null)
			Salida.Imprimirln("GUI NULO");
		return gUI;
	}
	

	public static void setListaSugerenc(List _l) {
		ListaImplica = _l;
	}
	
	public static List getListaSugerenc() {
		return ListaImplica;
	}
	
	
	
	
	
	
	
	
	
	
	
	
	/**
	 * @param args user console parameters
	 */
	public static void main(String[] args) {
		TinyPaella tiny = new TinyPaella();
		tiny.inicializar();

	}

}
